### Class method

# Gtk WidgetClassinstall_action

#### Declaration [src]

    void
    gtk_widget_class_install_action (
      GtkWidgetClass* widget_class,
      const char* action_name,
      const char* parameter_type,
      GtkWidgetActionActivateFunc activate
    )

#### Description [src]

This should be called at class initialization time to specify actions to be added for all instances of this class.

Actions installed by this function are stateless. The only state they have is whether they are enabled or not (which can be changed with `gtk_widget_action_set_enabled()`).

#### Parameters

`action_name`

  Type: `const char*`

  A prefixed action name, such as “clipboard.paste”

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameter_type`

  Type: `const char*`

  The parameter type.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`activate`

  Type: `GtkWidgetActionActivateFunc`

  Callback to use when the action is activated.